Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete admin API key

DELETE/organization/admin_api_keys/{key_id}

Delete an organization admin API key

Path ParametersExpand Collapse
key_id: string

The ID of the API key to be deleted.

ReturnsExpand Collapse
id: string
deleted: boolean
object: "organization.admin_api_key.deleted"

Delete admin API key

curl -X DELETE https://api.openai.com/v1/organization/admin_api_keys/key_abc \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
  "id": "key_abc",
  "object": "organization.admin_api_key.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "key_abc",
  "object": "organization.admin_api_key.deleted",
  "deleted": true
}